Bug 516259 (CVE-2009-2663) - CVE-2009-2663 libvorbis: Improper codec headers processing (DoS, ACE)
Summary: CVE-2009-2663 libvorbis: Improper codec headers processing (DoS, ACE)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-2663
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: https://bugzilla.mozilla.org/show_bug...
Whiteboard: impact=important,reported=20090803,pu...
Depends On: 516345 516346 516347 516348 516349 833930
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-07 17:13 UTC by Jan Lieskovsky
Modified: 2019-06-08 12:48 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-29 13:34:34 UTC


Attachments (Terms of Use)
Upstream patch (1.62 KB, patch)
2009-08-07 17:17 UTC, Jan Lieskovsky
no flags Details | Diff
Downloaded reproducer (59.13 KB, application/x-gzip)
2009-08-07 17:19 UTC, Jan Lieskovsky
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1219 normal SHIPPED_LIVE Important: libvorbis security update 2009-08-18 18:30:12 UTC

Description Jan Lieskovsky 2009-08-07 17:13:08 UTC
An insufficient input validation flaw was found in the way libvorbis
used to process codec file headers (static mode headers and encoding
books) for the Ogg Vorbis audio file format (Ogg). A remote attacker
could provide a specially-crafted Ogg file, which would lead to
denial of service (memory corruption and application crash) or, 
potentially execute arbitrary code with the privileges of the application
using the libvorbis library, when opened by the victim.

References:
-----------
https://bugzilla.mozilla.org/show_bug.cgi?id=500254
http://bugs.gentoo.org/280393
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2009-2663

Reproducer:
-----------
https://bugzilla.mozilla.org/attachment.cgi?id=384979

Comment 1 Jan Lieskovsky 2009-08-07 17:17:08 UTC
Created attachment 356685 [details]
Upstream patch

Retrieved via command:

  svn diff -r 16180:16182 http://svn.xiph.org/trunk/vorbis/ > libvorbis-CVE-2009-2663.patch

Comment 2 Jan Lieskovsky 2009-08-07 17:19:40 UTC
Created attachment 356686 [details]
Downloaded reproducer

Comment 6 Jan Lieskovsky 2009-08-08 12:33:08 UTC
This issue affects the versions of the libvorbis package, as shipped
with Fedora releases of 10 and 11.

Please fix.

Note: Please ensure to mention CVE identifier in the libvorbis
      rpm Changelog, while scheduling Fedora updates.

Comment 12 Fedora Update System 2009-08-09 06:18:28 UTC
libvorbis-1.2.0-6.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/libvorbis-1.2.0-6.fc10

Comment 13 Fedora Update System 2009-08-09 06:19:43 UTC
libvorbis-1.2.0-8.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libvorbis-1.2.0-8.fc11

Comment 14 Jindrich Novy 2009-08-09 06:21:09 UTC
Rawhide/F12 Alpha is unaffected (libvorbis-1.2.3 contains the fix).

Comment 18 Fedora Update System 2009-08-10 21:50:33 UTC
libvorbis-1.2.0-6.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2009-08-10 21:51:36 UTC
libvorbis-1.2.0-8.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 errata-xmlrpc 2009-08-18 18:30:17 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2009:1219 https://rhn.redhat.com/errata/RHSA-2009-1219.html


Note You need to log in before you can comment on or make changes to this bug.